@import 'src/style/includes/sass_vars_and_mixins.module.scss';

$spaces: (xxxs, xxs, xs, s, m, l, xl, xxl, xxxl);

@each $name in $spaces {
  .margin-bottom-#{$name} {
    margin-bottom: var(--space-#{$name});
  }

  .margin-right-#{$name} {
    margin-right: var(--space-#{$name});
  }

  .margin-left-#{$name} {
    margin-left: var(--space-#{$name});
  }

  .margin-top-#{$name} {
    margin-top: var(--space-#{$name});
  }

  .margin-vertical-#{$name} {
    margin-top: var(--space-#{$name});
    margin-bottom: var(--space-#{$name});
  }

  .margin-horizontal-#{$name} {
    margin-left: var(--space-#{$name});
    margin-right: var(--space-#{$name});
  }

  .margin-#{$name} {
    margin-left: var(--space-#{$name});
    margin-right: var(--space-#{$name});
    margin-top: var(--space-#{$name});
    margin-bottom: var(--space-#{$name});
  }

  .padding-bottom-#{$name} {
    padding-bottom: var(--space-#{$name});
  }

  .padding-right-#{$name} {
    padding-right: var(--space-#{$name});
  }

  .padding-left-#{$name} {
    padding-left: var(--space-#{$name});
  }

  .padding-top-#{$name} {
    padding-top: var(--space-#{$name});
  }

  .padding-vertical-#{$name} {
    padding-top: var(--space-#{$name});
    padding-bottom: var(--space-#{$name});
  }

  .padding-horizontal-#{$name} {
    padding-left: var(--space-#{$name});
    padding-right: var(--space-#{$name});
  }

  .padding-#{$name} {
    padding-left: var(--space-#{$name});
    padding-right: var(--space-#{$name});
    padding-top: var(--space-#{$name});
    padding-bottom: var(--space-#{$name});
  }
}


@each $name in $spaces {
  @include smaller-than-s {
    .s-margin-bottom-#{$name} {
      margin-bottom: var(--space-#{$name});
    }
  
    .s-margin-right-#{$name} {
      margin-right: var(--space-#{$name});
    }
  
    .s-margin-left-#{$name} {
      margin-left: var(--space-#{$name});
    }
  
    .s-margin-top-#{$name} {
      margin-top: var(--space-#{$name});
    }
  
    .s-margin-vertical-#{$name} {
      margin-top: var(--space-#{$name});
      margin-bottom: var(--space-#{$name});
    }
  
    .s-margin-horizontal-#{$name} {
      margin-left: var(--space-#{$name});
      margin-right: var(--space-#{$name});
    }
  
    .s-margin-#{$name} {
      margin-left: var(--space-#{$name});
      margin-right: var(--space-#{$name});
      margin-top: var(--space-#{$name});
      margin-bottom: var(--space-#{$name});
    }

    .s-margin-top-none {
      margin-top: 0;
    }

    .s-margin-bottom-none {
      margin-bottom: 0;
    }

    .s-margin-none {
      margin: 0;
    }

    .s-padding-bottom-#{$name} {
      padding-bottom: var(--space-#{$name});
    }
  
    .s-padding-right-#{$name} {
      padding-right: var(--space-#{$name});
    }
  
    .s-padding-left-#{$name} {
      padding-left: var(--space-#{$name});
    }
  
    .s-padding-top-#{$name} {
      padding-top: var(--space-#{$name});
    }
  
    .s-padding-vertical-#{$name} {
      padding-top: var(--space-#{$name});
      padding-bottom: var(--space-#{$name});
    }
  
    .s-padding-horizontal-#{$name} {
      padding-left: var(--space-#{$name});
      padding-right: var(--space-#{$name});
    }
  
    .s-padding-#{$name} {
      padding-left: var(--space-#{$name});
      padding-right: var(--space-#{$name});
      padding-top: var(--space-#{$name});
      padding-bottom: var(--space-#{$name});
    }
  }
}